Package org.eclipse.gef.mvc.fx.parts

# Class AbstractFeedbackPart<V extends Node>

java.lang.Object
org.eclipse.gef.mvc.fx.parts.AbstractVisualPart<V>
org.eclipse.gef.mvc.fx.parts.AbstractFeedbackPart<V>

Type Parameters:
  `V` - The visual `Node` used by this `AbstractFeedbackPart`.

All Implemented Interfaces:
  `IActivatable`, `IAdaptable`, `IAdaptable.Bound<IViewer>`, `IDisposable`, `IFeedbackPart<V>`, `IVisualPart<V>`

Direct Known Subclasses:
  `FocusFeedbackPart`, `HoverFeedbackPart`, `SelectionFeedbackPart`, `SnappingFeedbackPart`

public abstract class AbstractFeedbackPart<V extends Node> extends AbstractVisualPart<V> implements IFeedbackPart<V>
Abstract base implementation for a JavaFX-specific `IFeedbackPart`.

## Property Summary

### Properties inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`active, adaptable, adapters, anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

### Properties inherited from interface org.eclipse.gef.common.activate.IActivatable

`active`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adapters`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptable`

### Properties inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`IAdaptable.Bound<A extends IAdaptable>`

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

## Field Summary

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`ADAPTERS_PROPERTY`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`ANCHORAGES_PROPERTY, ANCHOREDS_PROPERTY, CHILDREN_PROPERTY, PARENT_PROPERTY, REFRESH_VISUAL_PROPERTY`

## Constructor Summary

Constructors
Constructor
Description
`AbstractFeedbackPart()`
Constructs a new `AbstractFeedbackPart` and disables refreshing of visuals, which is enabled as soon as an anchorage is available.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doAddChildVisual(IVisualPart<? extends Node> child, int index)`
Performs the addition of the child's visual to this `IVisualPart`'s visual.
`protected void`
`doAttachToAnchorageVisual(IVisualPart<? extends Node> anchorage, String role)`
Attaches this part's visual to the visual of the given anchorage.
`protected void`
`doDetachFromAnchorageVisual(IVisualPart<? extends Node> anchorage, String role)`
Detaches this part's visual from the visual of the given anchorage.
`protected void`
`doRemoveChildVisual(IVisualPart<? extends Node> child, int index)`
Removes the child's visual from this `IVisualPart`'s visual.

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`activate, activateAdapters, activateChildren, activeProperty, adaptableProperty, adaptersProperty, addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, deactivate, deactivateAdapters, deactivateChildren, detachAnchored, detachFromAnchorage, detachFromAnchorage, determineViewer, dispose, doActivate, doCreateVisual, doDeactivate, doRefreshVisual, getAdaptable, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getVisual, isActive, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, register, registerAtVisualPartMap, removeChild, removeChildren, reorderChild, setAdaptable, setAdapter, setAdapter, setAdapter, setAdapter, setParent, setRefreshVisual, unregister, unregisterFromVisualPartMap, unsetAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.common.activate.IActivatable

`activate, activeProperty, deactivate, isActive`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adaptersProperty, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, setAdapter, setAdapter, setAdapter, setAdapter, unsetAdapter`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from interface org.eclipse.gef.common.dispose.IDisposable

`dispose`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, detachAnchored, detachFromAnchorage, detachFromAnchorage, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getViewer, getVisual, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, removeChild, removeChildren, reorderChild, setParent, setRefreshVisual`

## Constructor Details

### AbstractFeedbackPart

public AbstractFeedbackPart()
Constructs a new `AbstractFeedbackPart` and disables refreshing of visuals, which is enabled as soon as an anchorage is available.

## Method Details

### doAddChildVisual

protected void doAddChildVisual(IVisualPart<? extends Node> child, int index)
Description copied from class: `AbstractVisualPart`
Performs the addition of the child's visual to this `IVisualPart`'s visual.

Overrides:
  `doAddChildVisual` in class `AbstractVisualPart<V extends Node>`
Parameters:
  `child` - The `IVisualPart` being added
  `index` - The child's position
See Also:
  - `AbstractVisualPart.addChild(IVisualPart, int)`

### doAttachToAnchorageVisual

protected void doAttachToAnchorageVisual(IVisualPart<? extends Node> anchorage, String role)
Description copied from class: `AbstractVisualPart`
Attaches this part's visual to the visual of the given anchorage.

Overrides:
  `doAttachToAnchorageVisual` in class `AbstractVisualPart<V extends Node>`
Parameters:
  `anchorage` - The anchorage `IVisualPart`.
  `role` - The anchorage role.

### doDetachFromAnchorageVisual

protected void doDetachFromAnchorageVisual(IVisualPart<? extends Node> anchorage, String role)
Description copied from class: `AbstractVisualPart`
Detaches this part's visual from the visual of the given anchorage.

Overrides:
  `doDetachFromAnchorageVisual` in class `AbstractVisualPart<V extends Node>`
Parameters:
  `anchorage` - The anchorage `IVisualPart`.
  `role` - The anchorage role.

### doRemoveChildVisual

protected void doRemoveChildVisual(IVisualPart<? extends Node> child, int index)
Description copied from class: `AbstractVisualPart`
Removes the child's visual from this `IVisualPart`'s visual.

Overrides:
  `doRemoveChildVisual` in class `AbstractVisualPart<V extends Node>`
Parameters:
  `child` - The child `IVisualPart`.
  `index` - The index of the child whose visual is to be removed.